com.microfocus.zos.model

## Enum EDatasetAttributes

- java.lang.Object
- - java.lang.Enum<EDatasetAttributes>
  - - com.microfocus.zos.model.EDatasetAttributes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EDatasetAttributes>

      public enum EDatasetAttributes
      extends java.lang.Enum<EDatasetAttributes>

  Enumeration for MVS data set attributes.
  Author:
    Micro Focus

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Accessible` Whether a data set is accessible for the user.
    `BlockSize` Block size.
    `Browsable` Whether a data set is browsable.
    `DataSetOrganisation` Data set organization.
    `DataSetType` Data set type.
    `DirectoryBlocks` Directory blocks.
    `Editable` Whether a data set is editable.
    `ExpirationDate` Expiration date.
    `Extents` Extents.
    `GenericUnit` Generic Unit.
    `ManagementClass` Management class.
    `PrimaryQuantity` Primary allocation quantity.
    `RecordFormat` Record format.
    `RecordLength` Record length.
    `SecondaryQuantity` Secondary allocation quantity.
    `SMSManaged` Whether a data set is SMS managed.
    `SpaceUnits` Allocation space units.
    `StorageClass` Storage class.
    `Suffix` Local data set suffix.
    `TotalQuantity` Total allocation quantity.
    `VolumeSerial` Volume serial.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EDatasetAttributes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EDatasetAttributes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BlockSize

          public static final EDatasetAttributes BlockSize

      Block size.

    - #### DirectoryBlocks

          public static final EDatasetAttributes DirectoryBlocks

      Directory blocks.

    - #### DataSetType

          public static final EDatasetAttributes DataSetType

      Data set type.

    - #### DataSetOrganisation

          public static final EDatasetAttributes DataSetOrganisation

      Data set organization.

    - #### ExpirationDate

          public static final EDatasetAttributes ExpirationDate

      Expiration date.

    - #### Extents

          public static final EDatasetAttributes Extents

      Extents.

    - #### GenericUnit

          public static final EDatasetAttributes GenericUnit

      Generic Unit.

    - #### ManagementClass

          public static final EDatasetAttributes ManagementClass

      Management class.

    - #### PrimaryQuantity

          public static final EDatasetAttributes PrimaryQuantity

      Primary allocation quantity.

    - #### RecordFormat

          public static final EDatasetAttributes RecordFormat

      Record format.

    - #### RecordLength

          public static final EDatasetAttributes RecordLength

      Record length.

    - #### SecondaryQuantity

          public static final EDatasetAttributes SecondaryQuantity

      Secondary allocation quantity.

    - #### SpaceUnits

          public static final EDatasetAttributes SpaceUnits

      Allocation space units.

    - #### StorageClass

          public static final EDatasetAttributes StorageClass

      Storage class.

    - #### VolumeSerial

          public static final EDatasetAttributes VolumeSerial

      Volume serial.

    - #### TotalQuantity

          public static final EDatasetAttributes TotalQuantity

      Total allocation quantity.

    - #### Suffix

          public static final EDatasetAttributes Suffix

      Local data set suffix. The suffix is typically mapped to a data set e.g. by a file name mapping.

    - #### Browsable

          public static final EDatasetAttributes Browsable

      Whether a data set is browsable.

    - #### Editable

          public static final EDatasetAttributes Editable

      Whether a data set is editable.

    - #### SMSManaged

          public static final EDatasetAttributes SMSManaged

      Whether a data set is SMS managed.

    - #### Accessible

          public static final EDatasetAttributes Accessible

      Whether a data set is accessible for the user.

  - ### Method Detail

    - #### values

          public static EDatasetAttributes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EDatasetAttributes c : EDatasetAttributes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EDatasetAttributes valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2015 Micro Focus GmbH. All rights reserved.